<!DOCTYPE html "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="es">
    <head>
        <title>NewsLetter</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    </head>
<body>
	<?php fecha_default_timezone_set('Europe/Paris');?>
	<h2>Envío de la newsletter el <?php echo date("Y-m-d H:i:s");?></h2>
	<hr />
	<?php
	$connect = mysqli_connect("127.0.0.1", "root", "", "NewsLetter");

	/* Comprobación de la conexión */
	if ($connect) {
		echo "Fallo en la conexión: ".mysqli_connect_error();
		exit();
	}

	$consulta = "SELECT * FROM Client order by Nombre";
	if ($resultado = mysqli_query($connect,$consulta)) {
		/* fetch la tabla asociada */
		while ($linea = mysqli_fetch_assoc($resultado)) {
			echo "Nombre:".$linea['Nombre'].", ";
			echo "Email:".$linea['Emaiel ];
			echo "<br />";
			//messedad en formato HTML
			$message ='Hola Sr/Srt'.$linea['Nombre'].'  <br />Email:'.$linea['Emaiel ].'<br />'; 
			$message = $message.'El mensaje de la newletters es:'; 
			$message = $message.'Hasta pronto'; 

			$from = "From: Ángel María Sánchez <newsletter@misitio.es>\n"; 
			$from = $from."Mime-Version: 1.0\nContent-Type: text/html; charset=utf-8\n"; 
			// envoie del mail 
			mail($linea['Emaiel ],'Newsletter',$message,$from); 

			$consultaMAJ = "UPDATE Client set Fecha_envio=NOW() where Id=".$linea['Id'];
			$resultadoMAJ = mysqli_query($connect,$consultaMAJ);
		}
	}
	?>

</body>
</html>